Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class StructuredSyntaxDocumentFilter.LexerNode

    java.lang.Object
      groovy.ui.text.StructuredSyntaxDocumentFilter.LexerNode

    class StructuredSyntaxDocumentFilter.LexerNode

Constructor Summary
`StructuredSyntaxDocumentFilter.LexerNode(boolean isParent)`

Method Summary
`Style` | `getDefaultStyle()`
`boolean` | `isInitialized()`
`void` | `parse(CharBuffer buffer, int offset, int length)`
`void` | `putChild(String regexp, LexerNode node)`
`void` | `putChild(String[] regexps, LexerNode node)`
`void` | `putStyle(String regexp, Style style)`
`void` | `putStyle(String[] regexps, Style style)`
`void` | `removeChild(String regexp)`
`void` | `removeStyle(String regexp)`
`void` | `removeStyle(String[] regexps)`
`void` | `setDefaultStyle(Style style)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### StructuredSyntaxDocumentFilter.LexerNode

    public StructuredSyntaxDocumentFilter.LexerNode(boolean isParent)

Method Detail

### getDefaultStyle

    public Style getDefaultStyle()

### isInitialized

    public boolean isInitialized()

  return:
    true if initialised

### parse

    public void parse(CharBuffer buffer, int offset, int length)

  param:
    buffer
  param:
    offset
  param:
    length
  throws:
    BadLocationException

### putChild

    public void putChild(String regexp, LexerNode node)

  param:
    regexp
  param:
    node

### putChild

    public void putChild(String[] regexps, LexerNode node)

  param:
    regexps
  param:
    node

### putStyle

    public void putStyle(String regexp, Style style)

  param:
    regexp
  param:
    style

### putStyle

    public void putStyle(String[] regexps, Style style)

  param:
    regexps
  param:
    style

### removeChild

    public void removeChild(String regexp)

  param:
    regexp

### removeStyle

    public void removeStyle(String regexp)

  param:
    regexp

### removeStyle

    public void removeStyle(String[] regexps)

  param:
    regexps

### setDefaultStyle

    public void setDefaultStyle(Style style)

Copyright © 2003-2009 The Codehaus. All rights reserved.